Vehicle Fuel type
Indicates the type of fuel used by the vehicle (e.g., Diesel or Petrol).
Path Parameters
Specifies the lookup category. This API accepts only 'vehicle' as the value.
Type of vehicle (e.g., TW, Car)
Make Code of Vehicle
Model code of Vehicle
Vehicle Fuel type
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
Unique request identifier.
List of errors if any.
data object
variant object[]
List of available vehicle variants for the selected model.
Unique code representing the vehicle variant.
Description of the vehicle variant including engine capacity.
{
"reqId": "string",
"errors": [
"string"
],
"data": {
"variant": [
{
"variantCode": "6741",
"variantDesc": "1.5 Smart DCT (1451 cc)"
}
]
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}